Package oasis.names.tc.saml._2_0.protocol

# Class ObjectFactory

java.lang.Object
oasis.names.tc.saml._2_0.protocol.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the oasis.names.tc.saml._2_0.protocol package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._2_0.protocol

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.xml.bind.JAXBElement<String>`
  `createArtifact(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `ArtifactResolve`
  `createArtifactResolve()`
  Create an instance of `ArtifactResolve`
  `ArtifactResponse`
  `createArtifactResponse()`
  Create an instance of `ArtifactResponse`
  `AssertionIDRequest`
  `createAssertionIDRequest()`
  Create an instance of `AssertionIDRequest`
  `AttributeQuery`
  `createAttributeQuery()`
  Create an instance of `AttributeQuery`
  `AuthnQuery`
  `createAuthnQuery()`
  Create an instance of `AuthnQuery`
  `AuthnRequest`
  `createAuthnRequest()`
  Create an instance of `AuthnRequest`
  `AuthzDecisionQuery`
  `createAuthzDecisionQuery()`
  Create an instance of `AuthzDecisionQuery`
  `jakarta.xml.bind.JAXBElement<ExtensionsType>`
  `createExtensions(ExtensionsType value)`
  Create an instance of `JAXBElement``<``ExtensionsType``>`
  `ExtensionsType`
  `createExtensionsType()`
  Create an instance of `ExtensionsType`
  `jakarta.xml.bind.JAXBElement<String>`
  `createGetComplete(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `IDPEntry`
  `createIDPEntry()`
  Create an instance of `IDPEntry`
  `IDPList`
  `createIDPList()`
  Create an instance of `IDPList`
  `LogoutRequest`
  `createLogoutRequest()`
  Create an instance of `LogoutRequest`
  `jakarta.xml.bind.JAXBElement<StatusResponseType>`
  `createLogoutResponse(StatusResponseType value)`
  Create an instance of `JAXBElement``<``StatusResponseType``>`
  `ManageNameIDRequest`
  `createManageNameIDRequest()`
  Create an instance of `ManageNameIDRequest`
  `jakarta.xml.bind.JAXBElement<StatusResponseType>`
  `createManageNameIDResponse(StatusResponseType value)`
  Create an instance of `JAXBElement``<``StatusResponseType``>`
  `NameIDMappingRequest`
  `createNameIDMappingRequest()`
  Create an instance of `NameIDMappingRequest`
  `NameIDMappingResponse`
  `createNameIDMappingResponse()`
  Create an instance of `NameIDMappingResponse`
  `NameIDPolicy`
  `createNameIDPolicy()`
  Create an instance of `NameIDPolicy`
  `jakarta.xml.bind.JAXBElement<EncryptedElementType>`
  `createNewEncryptedID(EncryptedElementType value)`
  Create an instance of `JAXBElement``<``EncryptedElementType``>`
  `jakarta.xml.bind.JAXBElement<String>`
  `createNewID(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `RequestedAuthnContext`
  `createRequestedAuthnContext()`
  Create an instance of `RequestedAuthnContext`
  `jakarta.xml.bind.JAXBElement<String>`
  `createRequesterID(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `Response`
  `createResponse()`
  Create an instance of `Response`
  `Scoping`
  `createScoping()`
  Create an instance of `Scoping`
  `jakarta.xml.bind.JAXBElement<String>`
  `createSessionIndex(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `Status`
  `createStatus()`
  Create an instance of `Status`
  `StatusCode`
  `createStatusCode()`
  Create an instance of `StatusCode`
  `StatusDetail`
  `createStatusDetail()`
  Create an instance of `StatusDetail`
  `jakarta.xml.bind.JAXBElement<String>`
  `createStatusMessage(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `StatusResponseType`
  `createStatusResponseType()`
  Create an instance of `StatusResponseType`
  `jakarta.xml.bind.JAXBElement<SubjectQueryAbstractType>`
  `createSubjectQuery(SubjectQueryAbstractType value)`
  Create an instance of `JAXBElement``<``SubjectQueryAbstractType``>`
  `Terminate`
  `createTerminate()`
  Create an instance of `Terminate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._2_0.protocol

- ## Method Details

  - ### createExtensionsType

    public ExtensionsType createExtensionsType()
    Create an instance of `ExtensionsType`
    Returns:
      the new instance of `ExtensionsType`

  - ### createStatus

    public Status createStatus()
    Create an instance of `Status`
    Returns:
      the new instance of `Status`

  - ### createStatusCode

    public StatusCode createStatusCode()
    Create an instance of `StatusCode`
    Returns:
      the new instance of `StatusCode`

  - ### createStatusDetail

    public StatusDetail createStatusDetail()
    Create an instance of `StatusDetail`
    Returns:
      the new instance of `StatusDetail`

  - ### createAssertionIDRequest

    public AssertionIDRequest createAssertionIDRequest()
    Create an instance of `AssertionIDRequest`
    Returns:
      the new instance of `AssertionIDRequest`

  - ### createAuthnQuery

    public AuthnQuery createAuthnQuery()
    Create an instance of `AuthnQuery`
    Returns:
      the new instance of `AuthnQuery`

  - ### createRequestedAuthnContext

    public RequestedAuthnContext createRequestedAuthnContext()
    Create an instance of `RequestedAuthnContext`
    Returns:
      the new instance of `RequestedAuthnContext`

  - ### createAttributeQuery

    public AttributeQuery createAttributeQuery()
    Create an instance of `AttributeQuery`
    Returns:
      the new instance of `AttributeQuery`

  - ### createAuthzDecisionQuery

    public AuthzDecisionQuery createAuthzDecisionQuery()
    Create an instance of `AuthzDecisionQuery`
    Returns:
      the new instance of `AuthzDecisionQuery`

  - ### createAuthnRequest

    public AuthnRequest createAuthnRequest()
    Create an instance of `AuthnRequest`
    Returns:
      the new instance of `AuthnRequest`

  - ### createNameIDPolicy

    public NameIDPolicy createNameIDPolicy()
    Create an instance of `NameIDPolicy`
    Returns:
      the new instance of `NameIDPolicy`

  - ### createScoping

    public Scoping createScoping()
    Create an instance of `Scoping`
    Returns:
      the new instance of `Scoping`

  - ### createIDPList

    public IDPList createIDPList()
    Create an instance of `IDPList`
    Returns:
      the new instance of `IDPList`

  - ### createIDPEntry

    public IDPEntry createIDPEntry()
    Create an instance of `IDPEntry`
    Returns:
      the new instance of `IDPEntry`

  - ### createResponse

    public Response createResponse()
    Create an instance of `Response`
    Returns:
      the new instance of `Response`

  - ### createStatusResponseType

    public StatusResponseType createStatusResponseType()
    Create an instance of `StatusResponseType`
    Returns:
      the new instance of `StatusResponseType`

  - ### createArtifactResolve

    public ArtifactResolve createArtifactResolve()
    Create an instance of `ArtifactResolve`
    Returns:
      the new instance of `ArtifactResolve`

  - ### createArtifactResponse

    public ArtifactResponse createArtifactResponse()
    Create an instance of `ArtifactResponse`
    Returns:
      the new instance of `ArtifactResponse`

  - ### createManageNameIDRequest

    public ManageNameIDRequest createManageNameIDRequest()
    Create an instance of `ManageNameIDRequest`
    Returns:
      the new instance of `ManageNameIDRequest`

  - ### createTerminate

    public Terminate createTerminate()
    Create an instance of `Terminate`
    Returns:
      the new instance of `Terminate`

  - ### createLogoutRequest

    public LogoutRequest createLogoutRequest()
    Create an instance of `LogoutRequest`
    Returns:
      the new instance of `LogoutRequest`

  - ### createNameIDMappingRequest

    public NameIDMappingRequest createNameIDMappingRequest()
    Create an instance of `NameIDMappingRequest`
    Returns:
      the new instance of `NameIDMappingRequest`

  - ### createNameIDMappingResponse

    public NameIDMappingResponse createNameIDMappingResponse()
    Create an instance of `NameIDMappingResponse`
    Returns:
      the new instance of `NameIDMappingResponse`

  - ### createExtensions

    public jakarta.xml.bind.JAXBElement<ExtensionsType> createExtensions(ExtensionsType value)
    Create an instance of `JAXBElement``<``ExtensionsType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ExtensionsType``>`

  - ### createStatusMessage

    public jakarta.xml.bind.JAXBElement<String> createStatusMessage(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createSubjectQuery

    public jakarta.xml.bind.JAXBElement<SubjectQueryAbstractType> createSubjectQuery(SubjectQueryAbstractType value)
    Create an instance of `JAXBElement``<``SubjectQueryAbstractType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SubjectQueryAbstractType``>`

  - ### createGetComplete

    public jakarta.xml.bind.JAXBElement<String> createGetComplete(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createRequesterID

    public jakarta.xml.bind.JAXBElement<String> createRequesterID(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createArtifact

    public jakarta.xml.bind.JAXBElement<String> createArtifact(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createNewEncryptedID

    public jakarta.xml.bind.JAXBElement<EncryptedElementType> createNewEncryptedID(EncryptedElementType value)
    Create an instance of `JAXBElement``<``EncryptedElementType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``EncryptedElementType``>`

  - ### createNewID

    public jakarta.xml.bind.JAXBElement<String> createNewID(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createManageNameIDResponse

    public jakarta.xml.bind.JAXBElement<StatusResponseType> createManageNameIDResponse(StatusResponseType value)
    Create an instance of `JAXBElement``<``StatusResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``StatusResponseType``>`

  - ### createSessionIndex

    public jakarta.xml.bind.JAXBElement<String> createSessionIndex(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createLogoutResponse

    public jakarta.xml.bind.JAXBElement<StatusResponseType> createLogoutResponse(StatusResponseType value)
    Create an instance of `JAXBElement``<``StatusResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``StatusResponseType``>`